SplStack
SplStack::setIteratorMode
SplStack
PHP Manual

# SplStack::__construct

Constructs a new stack implemented using a doubly linked list

### Description

SplStack::__construct ( void )

This constructs a new empty stack.

> Note:

> This method automatically sets the iterator mode to SplDoublyLinkedList::IT_MODE_LIFO.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 SplStack::__construct example

`<?php
$q = new SplStack();
$q[] = 1;
$q[] = 2;
$q[] = 3;
foreach ($q as $elem) {
echo $elem."\n";
}
?>`

The above example will output:

    3
    2
    1